Stash is now known as Bitbucket Server.
See the

Unknown macro: {spacejump}

of this page, or visit the Bitbucket Server documentation home page.

Skip to end of metadata
Go to start of metadata

This page lists the supported platforms for Stash 2.9.x.

See JIRA FishEye-Stash Plugin compatibility for information about supported versions of JIRA.

 

Key: (tick) = Supported  (warning) = Deprecated  (error) = Not Supported

Java Version

  

Oracle JDK

(tick)  1.7
(warning)  1.6
(error) 1.5

OpenJDK(tick)  1.7
(warning)  1.6
(error) 1.5

Operating Systems

 

 
Apple Mac OS X(tick) (evaluation only)
  • Stash is a pure Java application and should run on any platform, provided all the JDK requirements are satisfied.
  • In production environments Stash should be run from a dedicated user account.
  • (info) Although Stash can be run in virtualised environments, Atlassian is not yet able to provide technical support for performance-related problems in a virtualised environment. If you do chose to run Stash in a virtual machine, please ensure that you choose a VM with good IO throughput.
Linux(tick)

Microsoft Windows

(tick) (Not supported for 500+ Enterprise tiers)

Databases  
HSQLDB(tick)  (bundled; for evaluation only)
Microsoft SQL Server / Microsoft SQL Server Express

(tick) 2005
(tick)  2008
(tick)  2008 R2
(tick)  2012

MySQL

(tick)  5.1.x
(tick) 5.5.x
(error) 5.6.x

Oracle(tick) 11g

PostgreSQL

(tick) 8.2, 8.3, 8.4, 9.1, 9.2, 9.3

Web Browsers

 

 
Chrome(tick) Latest stable version supported 
Firefox(tick) Latest stable version supported  

Internet Explorer

(tick) 10
(tick) 9
(warning)   8

  • (warning) As of Stash 2.0, support for Internet Explorer 8 is deprecated. Some screens may not render correctly, and some functionality may not be available. Stash 3.0+ will require Internet Explorer 9+.

Safari

(tick) Latest stable version supported

 
DVCS Clients  
Git - server side

(tick) 1.7.6+, 1.8.0 - 1.8.4.2, 1.8.4.4+

(error) 1.8.4.3
(error) Cygwin

  • The version of Git installed on machines that interact with Stash must be compatible with the version of Git installed for use by the Stash server.
  • (warning) Git 1.7.1 is not supported.
  • (error) 1.8.4.3 is not supported due to a critical bug in how symbolic refs are handled.
  • (error) Cygwin: Cygwin Git is not supported for use on Windows servers, regardless of version.
Git - client side(tick) 1.6.6+
Additional tools  
Perl(tick) 5.8.8+ 
Mail Clients  
Apple Mail(tick) Apple Mail 4 
Gmail(tick) Latest 
iOS Devices(tick) iPhone, iPad 
Microsoft Outlook(tick) Express, 2007, 2010 
Outlook.com / Hotmail / Windows Live Mail
(tick) Latest 

Hardware requirements

See Scaling Stash regarding the hardware requirements for your Stash installation.

Notes:

Deploying multiple Atlassian applications in a single Tomcat container is not supported. We do not test this configuration and upgrading any of the applications (even for point releases) is likely to break it.

Finally, we recommend not deploying any other applications to the same Tomcat container that runs Stash, especially if these other applications have large memory requirements or require additional libraries in Tomcat's lib subdirectory.

  • No labels